
Foniatr - Bug #195
duplicitně uložené názvy 
21 May 2014 13:52 - Tomáš Kulhánek

Status: Resolved Start date: 21 May 2014
Priority: High Due date:
Assignee: Tomáš Kulhánek % Done: 100%
Category: HTML5 client Estimated time: 0.00 hour
Target version: Psychotest2 Spent time: 5.00 hours
Description

při každém uložení se místo updatu existujícího testu přidá nová instance testu.

History
#1 - 21 May 2014 13:54 - Tomáš Kulhánek
- Category set to HTML5 client
- Status changed from New to Resolved
- Assignee set to Tomáš Kulhánek
- Target version set to Psychotest 1

změněn regex v javascriptu pro hledání názvu testu
+ update delete podle jména
jméno testu je unikátní, při uložení pokud neexistuje, vytvoří se nová instance v databázi,
pokud existuje pod tímto jménem jiný test, ten se smaže a uloží se pod jménem ukládaný test

#2 - 18 June 2014 17:01 - Tomáš Kulhánek
- % Done changed from 0 to 100

opraveno mazani na strane serveru. Smazal prvni vyskyt misto vsech.

PsychotestDTO.cs
                long[] ids = psychotestDtos.Where(x => x.name != null && x.name.Equals(name)).Select(x => x.Id).ToArray();//.First();
                DeleteFromDB(ids);
                psychotestDtos.RemoveAll(x => x.name.Equals(name));

#3 - 24 June 2014 10:57 - Tomáš Kulhánek
- Status changed from Resolved to In Progress

stale se vyskytuje pri opakovane Uloz test

#4 - 23 July 2015 14:11 - Tomáš Kulhánek
- Priority changed from Normal to High
- Target version changed from Psychotest 1 to Psychotest2
- % Done changed from 100 to 80
#5 - 23 July 2015 14:47 - Tomáš Kulhánek
- Estimated time set to 1.00

#6 - 23 July 2015 17:26 - Tomáš Kulhánek
- Status changed from In Progress to Resolved
- % Done changed from 80 to 100
- Estimated time deleted (1.00)

fixed.
Opravena C# metoda

        public psychotestDTO Store(psychotestDTO psychotestDto) 

Opraveno psychotest-edit.js

Ted pri ulozeni by se mel vzdy aktualizovat test s nazvem - pozod nutno promazat duplicitni testy tlacitkem smaz.
